Upstream information

CVE-2015-2296 at MITRE

Description

The resolve_redirects function in sessions.py in requests 2.1.0 through 2.5.3 allows remote attackers to conduct session fixation attacks via a cookie without a host value in a redirect.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 922448 [RESOLVED / FIXED], 926396 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Cloud Compute Node for SUSE Linux Enterprise 12 5
  • python-requests >= 2.8.1-6.9.1
Patchnames:
SUSE-SLE12-CLOUD-5-2016-80
SUSE Enterprise Storage 1.0
  • python-requests >= 2.8.1-6.9.1
Patchnames:
SUSE-Storage-1.0-2016-80
SUSE Enterprise Storage 2
  • python-requests >= 2.8.1-6.9.1
Patchnames:
SUSE-Storage-2-2016-80
SUSE Linux Enterprise Desktop 12 SP1
  • python-requests >= 2.8.1-6.9.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-80
SUSE Linux Enterprise Desktop 12 SP2
  • python-requests >= 2.8.1-6.11.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA python-requests
SUSE Linux Enterprise Desktop 12 SP3
  • python-requests >= 2.8.1-6.16.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA python-requests
SUSE Linux Enterprise High Availability 12
  • python-requests >= 2.8.1-6.9.1
Patchnames:
SUSE-SLE-HA-12-2016-80
SUSE Linux Enterprise High Availability 12 SP2
  • python-requests >= 2.8.1-6.11.1
Patchnames:
SUSE Linux Enterprise High Availability 12 SP2 GA python-requests
SUSE Linux Enterprise High Availability 12 SP3
  • python-requests >= 2.8.1-6.16.1
Patchnames:
SUSE Linux Enterprise High Availability 12 SP3 GA python-requests
SUSE Linux Enterprise Module for Basesystem 15
  • python2-pip >= 10.0.1-1.9
  • python2-requests >= 2.18.4-1.35
  • python3-pip >= 10.0.1-1.9
  • python3-requests >= 2.18.4-1.35
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA python2-pip
SUSE Linux Enterprise Module for Basesystem 15 GA python2-requests
SUSE Linux Enterprise Module for Public Cloud 12
  • python-requests >= 2.8.1-6.9.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-12-2016-80
SUSE Linux Enterprise Server 12
  • python-requests >= 2.8.1-6.9.1
Patchnames:
SUSE-SLE-SERVER-12-2016-80
SUSE Linux Enterprise Server 12 SP1
  • python-requests >= 2.8.1-6.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-80
SUSE Linux Enterprise Server 12 SP2
  • python-requests >= 2.8.1-6.11.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA python-requests
SUSE Linux Enterprise Server 12 SP3
  • python-requests >= 2.8.1-6.16.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA python-requests
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • python-requests >= 2.8.1-6.11.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA python-requests
SUSE Linux Enterprise Server for SAP Applications 12
  • python-requests >= 2.8.1-6.9.1
Patchnames:
SUSE-SLE-SERVER-12-2016-80
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • python-requests >= 2.8.1-6.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-80
SUSE OpenStack Cloud 5
  • python-requests >= 2.3.0-9.2
Patchnames:
sleclo50sp3-python-requests-12235
SUSE OpenStack Cloud 6
  • python-requests >= 2.8.1-6.9.1
Patchnames:
SUSE OpenStack Cloud 6 GA python-requests
openSUSE Leap 15.0
  • python3-pip >= 10.0.1-lp150.1.2
  • python3-requests >= 2.18.4-lp150.1.6
Patchnames:
openSUSE Leap 15.0 GA python3-pip
openSUSE Leap 15.0 GA python3-requests
openSUSE Leap 42.1
  • python3-pip >= 7.1.2-4.5
Patchnames:
openSUSE Leap 42.1 GA python3-pip
openSUSE Leap 42.2
  • python-requests >= 2.11.1-1.1
  • python3-pip >= 7.1.2-5.3
Patchnames:
openSUSE Leap 42.2 GA python-requests
openSUSE Leap 42.2 GA python3-pip
openSUSE Leap 42.3
  • python-requests >= 2.11.1-3.4
  • python3-pip >= 7.1.2-7.1
Patchnames:
openSUSE Leap 42.3 GA python-requests
openSUSE Leap 42.3 GA python3-pip
openSUSE Tumbleweed
  • python-pip >= 8.1.2-1.2
  • python-requests >= 2.11.1-1.1
  • python3-pip >= 9.0.1-1.1
Patchnames:
openSUSE Tumbleweed GA python-pip
openSUSE Tumbleweed GA python-requests


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Cloud 11.3 python-requests Already fixed
SUSE Cloud 2.0 python-requests Already fixed
SUSE Cloud 4 python-requests Not affected
SUSE Cloud 5 python-requests Released
SUSE Linux Enterprise 12 Compute Node for Cloud 5 python-requests Released
SUSE Linux Enterprise Desktop 12 SP1 python-requests Released
SUSE Linux Enterprise High Availability 12 GA python-requests Released
SUSE Linux Enterprise Module for Public Cloud 12 python-requests Released
SUSE Linux Enterprise Server 11 SP3 python-requests Already fixed
SUSE Linux Enterprise Server 12 GA python-requests Released
SUSE Linux Enterprise Server 12 SP1 python-requests Released
SUSE Storage 1.0 python-requests Released
SUSE Storage 2.0 python-requests Released